`lqr_rwindow_get_channels`
Prev | Energy | Next

## Name

lqr_rwindow_get_channels — get the number of channels of a `LqrReadingWindow` object

## Synopsis

    #include <lqr.h>

`gint lqr_rwindow_get_channels(` | LqrReadingWindow* rwindow`)`;

## Description

The function `lqr_rwindow_get_channels` returns the number of channels of reading window `rwindow`.

This function is actually only necessary when the `rwindow` reader type is `LQR_ER_CUSTOM`.

The reader types are described in the page for `lqr_carver_set_energy_function`(3).

## See also

`lqr_carver_set_energy_function`(3), `lqr_rwindow_read`(3), `lqr_rwindow_get_read_t`(3), `lqr_rwindow_get_radius`(3)

Prev | Up | Next
`lqr_rwindow_get_radius` | Home | `lqr_carver_set_gradient_function`